
Redmine - Feature #1645

Recommend adding Timelog line to issue context menu

2008-07-15 04:46 - Davin Atkins

Status: Closed Start date: 2008-07-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

If developer is working on tasks from /my/page (or the issue list), he/she may find it easier to right-click on the issue in order to get to

the time-log for that issue, bypassing one screen.

Partial implementation to follow...

Add to context_menu.rhtml

<li><%= context_menu_link l(:button_time), {:controller => 'timelog', :action => 'edit', :issue_id => @issue},

:class => 'icon-time', :disabled => !@can[:edit] %></li>

Add :button_time to appropriate language packs (I'm not married to the verbiage)

button_time: Add time spent

This is something that I found useful and added to my demo version during my evaluation of the program.  I can provide a diff if you

would like, but since this is a UI issue I figured you may prefer to position these elements yourself.

Associated revisions

Revision 1672 - 2008-07-16 21:10 - Jean-Philippe Lang

Adds timelog link to the issue context menu (#1645).

History

#1 - 2008-07-15 08:15 - David Marín Carreño

- Target version deleted (0.7.3)

0.7.3 was released more than a week ago...

#2 - 2008-07-16 21:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Link added in r1672.
